var resultCode
var bankCheck
var rrn
var mHash


oleObject = new ActiveXObject("SBRFSRV.Server")
ws = WScript.CreateObject('WScript.Shell')

oleObject.clear()

resultCode = oleObject.NFun(5000)

bankCheck = oleObject.GParamString("Cheque1251")

real_expiry_date = oleObject.GParamString("RealExpiryDate")
if(real_expiry_date == "")
    real_expiry_date = "Empity" 

resultCheck = "BALANCE: " + oleObject.GParamString("Balance1") + "\r\n" + "RealExpiryDate:" + real_expiry_date + "\r\n" + bankCheck
showTextInNotepad(resultCheck)
oleObject.clear()

function showTextInNotepad(text){
filename = (new Date()).valueOf() + "upos_check.txt"
fso = WScript.CreateObject('Scripting.FileSystemObject')
file = fso.CreateTextFile(filename)
file.Write(text)
file.Close()
WScript.CreateObject('WScript.Shell').Run("notepad " + filename)
WScript.Sleep(2000)
fso.DeleteFile(filename)
}